sfxinfo[sfx_sdrown].caption = 'Drowning'
sfxinfo[sfx_sfall].caption = '\x85"No!!"\x80'
sfxinfo[sfx_sgener].caption = '\x85"No!"\x80'
sfxinfo[sfx_2drown].caption = 'Drowning'
sfxinfo[sfx_2fall].caption = '\x85"Huehh!"\x80'
sfxinfo[sfx_2gener].caption = '\x85"No!"\x80'

local function MobjValid(mobj)
	return mobj and mobj.valid
end

addHook("MobjDeath", function(mobj, inflictor, source, damageType)
	if damageType == DMG_DEATHPIT
		if P_RandomChance(3*FRACUNIT/4)
			S_StartSound(mobj.mo,sfx_sfall)
		else
			S_StartSound(mobj.mo,sfx_2fall)
		end
	elseif damageType == DMG_DROWNED or damageType == DMG_SPACEDROWN
	if P_RandomChance(3*FRACUNIT/4)
			S_StartSound(mobj.mo,sfx_sdrown)
		else
			S_StartSound(mobj.mo,sfx_2drown)
		end
	else
		if P_RandomChance(3*FRACUNIT/4)
			S_StartSound(mobj.mo,sfx_sgener)
		else
			S_StartSound(mobj.mo,sfx_2gener)
		end
	end
end, MT_PLAYER)